Package Details: python2-coord-git v1.0.4.r15.328e54c-1

Git Clone URL: https://aur.archlinux.org/python-coord-git.git (read-only, click to copy)
Package Base: python-coord-git
Description: Coord is a Python module that provides basic functionality related to angles and celestial coordinatesw
Upstream URL: https://github.com/LSSTDESC/Coord.git
Licenses: BSD
Submitter: andalenavals
Maintainer: andalenavals
Last Packager: andalenavals
Votes: 0
Popularity: 0.000000
First Submitted: 2019-03-08 01:55 (UTC)
Last Updated: 2019-03-11 02:07 (UTC)

Latest Comments

MarsSeed commented on 2022-06-11 19:57 (UTC)

Please kindly separate or drop the python2- subpackage, as that causes the Python 3 based package fail to build as well.

The Python 2 package is broken because of missing checkdepends.

Many downstream dependents are also unsalvageable for Python 2 - e.g. those that rely on python2-astropy (deleted) and/or python2-h5py (project dropped Python 2 support in 2019 and now that code is incompatible with the current hdf5 scientific data format library binary/C API headers and cannot compile its bindings).

So I myself am suggesting removal of the python2 subpackage altogether, as any hdf5 and/or astropy related scientific packages for Python 2 are effectively prohibitively out of scope of support capability of the AUR community. Those users who still need Python 2 versions of such libraries are advised to turn to elsewhere, like try to install all relevant dependencies from PyPI or Anaconda.

zoorat commented on 2021-11-10 14:46 (UTC)

missing dependency "python2-astropy"